Delete incident image
Developing
Matches by src and deletes the first hit. The endpoint is idempotent:If no image matches (already deleted or never existed), the endpoint still returns 200 and does not trigger a card refresh.
On a successful hit, incidents that are not in the closed state will trigger an automatic card refresh.
Request
Add parameter in header Authorization
Example:Authorization: ********************
or
Body Params application/jsonRequired
{
"incident_id": "65f0b4d5e12a4a0012345678",
"src": "img_abc123"
}
Request Code Samples
curl --location --request POST 'http://prod-cn.your-api-server.com/incident/image/delete' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"incident_id": "65f0b4d5e12a4a0012345678",
"src": "img_abc123"
}'
Responses
application/json
Success (200 is returned regardless of whether anything was deleted)
{
"err": 0,
"dat": {},
"msg": ""
}
Modified at 2026-04-28 05:23:50